ATOMIC_ADD_UNLESS(9)

NAME
atomic_add_unless - add unless the number is a given value

SYNOPSIS

atomic_add_unless (v, a, u);

ARGUMENTS

v   pointer of type atomic_t

a   the amount to add to v...

u   ...unless v is equal to u.

DESCRIPTION

Atomically adds a to v, so long as it was not u. Returns non-zero if v was not u, and zero otherwise.